Bug 168053 - kernel time source instable
kernel time source instable
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-11 15:59 EDT by Thomas Antony
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version: kernel-2.6.13-1.1526_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 19:42:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from dmesg (18.24 KB, text/plain)
2005-09-11 15:59 EDT, Thomas Antony
no flags Details
Output from lsmod (2.70 KB, text/plain)
2005-09-11 16:01 EDT, Thomas Antony
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 146480 None None None Never
Linux Kernel 5105 None None None Never

  None (edit)
Description Thomas Antony 2005-09-11 15:59:19 EDT
Description of problem:
My clock dosen't keep the correct time. This seems a kernel bug because dmesg
shows me:

warning: many lost ticks.
Your time source seems to be instable or some driver is hogging interupts
rip vfs_stat+0x2/0x44

I disable cpuspeed and the cool'n'quiet feature in the bios, but this didn't
solved the problem. I attached the output of dmesg and lsmod.



How reproducible:
Always


Steps to Reproduce:
1. Install FC4

  
Actual results:
the kernel time source is instable and the system time doesn't keep the correct
time even with a running ntpd


Expected results:
A correct working system time

Additional info:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=146480
Comment 1 Thomas Antony 2005-09-11 15:59:19 EDT
Created attachment 118695 [details]
Output from dmesg
Comment 2 Thomas Antony 2005-09-11 16:01:07 EDT
Created attachment 118696 [details]
Output from lsmod
Comment 3 Thomas Antony 2005-09-11 16:09:40 EDT
I have forgotten to mention that this happens with all released FC4 kernels.
After 5 reboots i have an offset up to 15 minutes!
Comment 4 Dave Jones 2005-09-30 03:02:47 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 5 Thomas Antony 2005-09-30 19:04:16 EDT
seems to be fixed with this kernel release
Comment 6 Thomas Antony 2005-10-13 03:49:10 EDT
It is still not fixed.
With kernel < 2.6.13-1.1526 i did get those messages immediately, but with
release 2.6.13-1.1526 it need some time till the messages appears in dmesg.
Comment 7 Dave Jones 2005-11-10 15:08:40 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 8 Thomas Antony 2005-11-10 18:01:16 EST
kernel 2.6.14-1.1637_FC4 does not fix the problem.

application et.x86 uses obsolete OSS audio interface
warning: many lost ticks.
Your time source seems to be instable or some driver is hogging interupts
rip 0x811dbad
Comment 9 Thomas Antony 2005-11-11 16:25:36 EST
I added "report_lost_ticks=100" to the boot parameters and now i get more
information with dmesg.

...
...
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 131072 bytes)
time.c: Using 3.579545 MHz PM timer.
time.c: Detected 2210.216 MHz processor.
time.c: Using PIT/TSC based timekeeping.
...
...
CPU: AMD Athlon(tm) 64 Processor 3500+ stepping 00
Using local APIC timer interrupts.
Detected 12.558 MHz APIC timer.
time.c: Lost 10 timer tick(s)! rip setup_boot_APIC_clock+0x117/0x11a)
...
...
time.c: Lost 1 timer tick(s)! rip acpi_processor_idle+0x124/0x35f)
time.c: Lost 1 timer tick(s)! rip acpi_processor_idle+0x124/0x35f)
time.c: Lost 1 timer tick(s)! rip acpi_processor_idle+0x124/0x35f)
time.c: Lost 1 timer tick(s)! rip acpi_processor_idle+0x124/0x35f)
...
...
time.c: Lost 1 timer tick(s)! rip 0x3e5d6646b2)
...
...
time.c: Lost 4 timer tick(s)! rip _spin_unlock_irqrestore+0xb/0xd)
time.c: Lost 1 timer tick(s)! rip 0x3e5d66ac3d)
...
...
time.c: Lost 1 timer tick(s)! rip acpi_processor_idle+0x124/0x35f)
time.c: Lost 1 timer tick(s)! rip 0x3e5d673b50)
time.c: Lost 1 timer tick(s)! rip clear_page+0x7/0x39)
time.c: Lost 1 timer tick(s)! rip acpi_processor_idle+0x124/0x35f)
...

I hope this helps a little bit.
Comment 10 Thomas Antony 2005-11-27 17:37:03 EST
Can at least one responsibly person for the kernel work on this bug or give me
an answere!
This bug is really annoying.
Comment 11 Dave Jones 2005-11-28 15:00:36 EST
its still being worked out upstream. we don't have a fix for it yet.
Comment 12 Dave Jones 2006-02-03 01:00:06 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 13 Raphael Clifford 2006-02-04 05:49:31 EST
I hope this helps. I have tested 2.6.16-rc2 on my msi rs480m2 amd64 system and
the same errors are there. I should add that the clock running at the wrong
speed and the timer errors are not the same problem. You can fix the clock (by
using no_timer_check or a patch from
http://bugzilla.kernel.org/show_bug.cgi?id=3927) without fixing the timer errors.

To test the new kernel I simply booted and then ran mplayer dvd://1. Timer
errors appear before the mplayer command but are multiplied by thousands when I
try to play the dvd.


Feb  4 10:46:58 localhost syslog-ng[7810]: syslog-ng version 1.6.8 starting
Feb  4 10:46:58 localhost syslog-ng[7810]: Changing permissions on special file
/dev/tty12
Feb  4 10:46:58 localhost Bootdata ok (command line is root=/dev/ram0
init=/linuxrc ramdisk=8192 real_root=/dev/sda5 udev  report_lost_ticks=100)
Feb  4 10:46:58 localhost Linux version 2.6.16-rc2 (root@localhost) (gcc version
3.4.4 (Gentoo 3.4.4-r1, ssp-3.4.4-1.0, pie-8.7.8)) #1 Sat Feb 4 10:35:37 GMT 20
06
Feb  4 10:46:58 localhost BIOS-provided physical RAM map:
Feb  4 10:46:58 localhost BIOS-e820: 0000000000000000 - 000000000009f800 (usable)
Feb  4 10:46:58 localhost BIOS-e820: 000000000009f800 - 00000000000a0000 (reserved)
Feb  4 10:46:58 localhost BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
Feb  4 10:46:58 localhost BIOS-e820: 0000000000100000 - 000000003bef0000 (usable)
Feb  4 10:46:58 localhost BIOS-e820: 000000003bef0000 - 000000003bef3000 (ACPI NVS)
Feb  4 10:46:58 localhost BIOS-e820: 000000003bef3000 - 000000003bf00000 (ACPI data)
Feb  4 10:46:58 localhost BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
Feb  4 10:46:58 localhost BIOS-e820: 00000000fec00000 - 0000000100000000 (reserved)
Feb  4 10:46:58 localhost ACPI: RSDP (v000 RS480                               
 ) @ 0x00000000000f8070
Feb  4 10:46:58 localhost ACPI: RSDT (v001 RS480  AWRDACPI 0x42302e31 AWRD
0x00000000) @ 0x000000003bef3040
Feb  4 10:46:58 localhost ACPI: FADT (v002 RS480  AWRDACPI 0x42302e31 AWRD
0x00000000) @ 0x000000003bef30c0
Feb  4 10:46:58 localhost ACPI: SSDT (v001 PTLTD  POWERNOW 0x00000001  LTP
0x00000001) @ 0x000000003bef69c0
Feb  4 10:46:58 localhost ACPI: SRAT (v001 AMD    HAMMER   0x00000001 AMD 
0x00000001) @ 0x000000003bef6ac0
Feb  4 10:46:58 localhost ACPI: MCFG (v001 RS480  AWRDACPI 0x42302e31 AWRD
0x00000000) @ 0x000000003bef6bc0
Feb  4 10:46:58 localhost ACPI: MADT (v001 RS480  AWRDACPI 0x42302e31 AWRD
0x00000000) @ 0x000000003bef6900
Feb  4 10:46:58 localhost ACPI: DSDT (v001 RS480  AWRDACPI 0x00001000 MSFT
0x0100000e) @ 0x0000000000000000
Feb  4 10:46:58 localhost On node 0 totalpages: 240817
Feb  4 10:46:58 localhost DMA zone: 2725 pages, LIFO batch:0
Feb  4 10:46:58 localhost DMA32 zone: 238092 pages, LIFO batch:31
Feb  4 10:46:58 localhost Normal zone: 0 pages, LIFO batch:0
Feb  4 10:46:58 localhost HighMem zone: 0 pages, LIFO batch:0
Feb  4 10:46:58 localhost ACPI: PM-Timer IO Port: 0x4008
Feb  4 10:46:58 localhost ACPI: Local APIC address 0xfee00000
Feb  4 10:46:58 localhost ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
Feb  4 10:46:58 localhost Processor #0 15:15 APIC version 16
Feb  4 10:46:58 localhost ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] disabled)
Feb  4 10:46:58 localhost ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
Feb  4 10:46:58 localhost ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
Feb  4 10:46:58 localhost ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
Feb  4 10:46:58 localhost IOAPIC[0]: apic_id 2, version 33, address 0xfec00000,
GSI 0-23
Feb  4 10:46:58 localhost ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
Feb  4 10:46:58 localhost ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 21 low
level)
Feb  4 10:46:58 localhost ACPI: IRQ0 used by override.
Feb  4 10:46:58 localhost ACPI: IRQ2 used by override.
Feb  4 10:46:58 localhost Setting APIC routing to flat
Feb  4 10:46:58 localhost Using ACPI (MADT) for SMP configuration information
Feb  4 10:46:58 localhost Allocating PCI resources starting at 40000000 (gap:
3bf00000:a4100000)
Feb  4 10:46:58 localhost Checking aperture...
Feb  4 10:46:58 localhost CPU 0: aperture @ 88000000 size 32 MB
Feb  4 10:46:58 localhost Aperture from northbridge cpu 0 too small (32 MB)
Feb  4 10:46:58 localhost No AGP bridge found
Feb  4 10:46:58 localhost Built 1 zonelists
Feb  4 10:46:58 localhost Kernel command line: root=/dev/ram0 init=/linuxrc
ramdisk=8192 real_root=/dev/sda5 udev  report_lost_ticks=100
Feb  4 10:46:58 localhost Initializing CPU#0
Feb  4 10:46:58 localhost PID hash table entries: 4096 (order: 12, 131072 bytes)
Feb  4 10:46:58 localhost time.c: Using 3.579545 MHz PM timer.
Feb  4 10:46:58 localhost time.c: Detected 1790.934 MHz processor.
Feb  4 10:46:58 localhost time.c: Using PIT/TSC based timekeeping.
Feb  4 10:46:58 localhost Console: colour VGA+ 80x25
Feb  4 10:46:58 localhost Dentry cache hash table entries: 131072 (order: 8,
1048576 bytes)
Feb  4 10:46:58 localhost Inode-cache hash table entries: 65536 (order: 7,
524288 bytes)
Feb  4 10:46:58 localhost PCI-DMA: Disabling IOMMU.
Feb  4 10:46:58 localhost Memory: 959608k/981952k available (3128k kernel code,
21464k reserved, 1124k data, 208k init)
Feb  4 10:46:58 localhost Calibrating delay using timer specific routine..
3589.15 BogoMIPS (lpj=7178312)
Feb  4 10:46:58 localhost Mount-cache hash table entries: 256
Feb  4 10:46:58 localhost CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64
bytes/line)
Feb  4 10:46:58 localhost CPU: L2 Cache: 512K (64 bytes/line)
Feb  4 10:46:58 localhost CPU: AMD Athlon(tm) 64 Processor 3000+ stepping 00
Feb  4 10:46:58 localhost time.c: Lost 1 timer tick(s)! rip
acpi_os_write_port+0x1a/0x34)
Feb  4 10:46:58 localhost Using local APIC timer interrupts.
Feb  4 10:46:58 localhost Detected 12.437 MHz APIC timer.
Feb  4 10:46:58 localhost time.c: Lost 14 timer tick(s)! rip
setup_boot_APIC_clock+0x112/0x120)
Feb  4 10:46:58 localhost testing NMI watchdog ... OK.
Feb  4 10:46:58 localhost checking if image is initramfs... it is
Feb  4 10:46:58 localhost Freeing initrd memory: 1468k freed
Feb  4 10:46:58 localhost DMI 2.4 present.
Feb  4 10:46:58 localhost NET: Registered protocol family 16
Feb  4 10:46:58 localhost ACPI: bus type pci registered
Feb  4 10:46:58 localhost PCI: Using configuration type 1
Feb  4 10:46:58 localhost PCI: Using MMCONFIG at e0000000
Feb  4 10:46:58 localhost ACPI: Subsystem revision 20060127
Feb  4 10:46:58 localhost GSI 21 sharing vector 0xA9 and IRQ 21
Feb  4 10:46:58 localhost ACPI: Interpreter enabled
Feb  4 10:46:58 localhost ACPI: Using IOAPIC for interrupt routing
Feb  4 10:46:58 localhost ACPI: PCI Root Bridge [PCI0] (0000:00)
Feb  4 10:46:58 localhost PCI: Probing PCI hardware (bus 00)
Feb  4 10:46:58 localhost ACPI: Assume root bridge [\_SB_.PCI0] bus is 0
Feb  4 10:46:58 localhost PCI: Ignoring BAR0-3 of IDE controller 0000:00:14.1
Feb  4 10:46:58 localhost Boot video device is 0000:01:05.0
Feb  4 10:46:58 localhost PCI: Transparent bridge - 0000:00:14.4
Feb  4 10:46:58 localhost ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
Feb  4 10:46:58 localhost ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 10 11)
*0, disabled.
Feb  4 10:46:58 localhost ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 10 11)
*0, disabled.
Feb  4 10:46:58 localhost ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 10 11)
*0, disabled.
Feb  4 10:46:58 localhost ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 10 11)
*0, disabled.
Feb  4 10:46:58 localhost ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 *5 6 7 10 11)
Feb  4 10:46:58 localhost ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 10 *11)
Feb  4 10:46:58 localhost ACPI: PCI Interrupt Link [LNK0] (IRQs 3 4 5 6 7 10
*11), disabled.
Feb  4 10:46:58 localhost ACPI: PCI Interrupt Link [LNK1] (IRQs 3 4 5 6 7 *10 11)
Feb  4 10:46:58 localhost ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P2P_._PRT]
Feb  4 10:46:58 localhost ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
Feb  4 10:46:58 localhost SCSI subsystem initialized
Feb  4 10:46:58 localhost usbcore: registered new driver usbfs
Feb  4 10:46:58 localhost usbcore: registered new driver hub
Feb  4 10:46:58 localhost PCI: Using ACPI for IRQ routing
Feb  4 10:46:58 localhost PCI: If a device doesn't work, try "pci=routeirq".  If
it helps, post a report
Feb  4 10:46:58 localhost PCI: Cannot allocate resource region 3 of device
0000:00:00.0
Feb  4 10:46:58 localhost TC classifier action (bugs to netdev@vger.kernel.org
cc hadi@cyberus.ca)
Feb  4 10:46:58 localhost PCI: Bridge: 0000:00:01.0
Feb  4 10:46:58 localhost IO window: e000-efff
Feb  4 10:46:58 localhost MEM window: fdd00000-fddfffff
Feb  4 10:46:58 localhost PREFETCH window: d8000000-dfffffff
Feb  4 10:46:58 localhost PCI: Bridge: 0000:00:14.4
Feb  4 10:46:58 localhost IO window: d000-dfff
Feb  4 10:46:58 localhost MEM window: fdc00000-fdcfffff
Feb  4 10:46:58 localhost PREFETCH window: fde00000-fdefffff
Feb  4 10:46:58 localhost IA32 emulation $Id: sys_ia32.c,v 1.32 2002/03/24
13:02:28 ak Exp $
Feb  4 10:46:58 localhost Total HugeTLB memory allocated, 0
Feb  4 10:46:58 localhost JFS: nTxBlock = 7512, nTxLock = 60098
Feb  4 10:46:58 localhost SGI XFS with ACLs, large block/inode numbers, no debug
enabled
Feb  4 10:46:58 localhost Initializing Cryptographic API
Feb  4 10:46:58 localhost io scheduler noop registered
Feb  4 10:46:58 localhost io scheduler anticipatory registered (default)
Feb  4 10:46:58 localhost io scheduler deadline registered
Feb  4 10:46:58 localhost io scheduler cfq registered
Feb  4 10:46:58 localhost time.c: Lost 2 timer tick(s)! rip msleep+0x4/0x40)
Feb  4 10:46:58 localhost time.c: Lost 2 timer tick(s)! rip msleep+0x4/0x40)
Feb  4 10:46:58 localhost pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Feb  4 10:46:58 localhost acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
Feb  4 10:46:58 localhost acpiphp_glue: can't get bus number, assuming 0
Feb  4 10:46:58 localhost ACPI: Power Button (FF) [PWRF]
Feb  4 10:46:58 localhost ACPI: Power Button (CM) [PWRB]
Feb  4 10:46:58 localhost ACPI: Processor [CPU0] (supports 8 throttling states)
Feb  4 10:46:58 localhost Real Time Clock Driver v1.12ac
Feb  4 10:46:58 localhost Non-volatile memory driver v1.2
Feb  4 10:46:58 localhost Linux agpgart interface v0.101 (c) Dave Jones
Feb  4 10:46:58 localhost serio: i8042 AUX port at 0x60,0x64 irq 12
Feb  4 10:46:58 localhost serio: i8042 KBD port at 0x60,0x64 irq 1
Feb  4 10:46:58 localhost Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports,
IRQ sharing disabled
Feb  4 10:46:58 localhost serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
Feb  4 10:46:58 localhost serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
Feb  4 10:46:58 localhost RAMDISK driver initialized: 16 RAM disks of 8192K size
1024 blocksize
Feb  4 10:46:58 localhost loop: loaded (max 8 devices)
Feb  4 10:46:58 localhost Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
Feb  4 10:46:58 localhost ide: Assuming 33MHz system bus speed for PIO modes;
override with idebus=xx
Feb  4 10:46:58 localhost Probing IDE interface ide0...
Feb  4 10:46:58 localhost hda: BENQ DVD DD DW1640, ATAPI CD/DVD-ROM drive
Feb  4 10:46:58 localhost Probing IDE interface ide1...
Feb  4 10:46:58 localhost ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Feb  4 10:46:58 localhost hda: ATAPI 94X DVD-ROM DVD-R CD-R/RW drive, 2048kB Cache
Feb  4 10:46:58 localhost Uniform CD-ROM driver Revision: 3.20
Feb  4 10:46:58 localhost usbmon: debugfs is not available
Feb  4 10:46:58 localhost mice: PS/2 mouse device common for all mice
Feb  4 10:46:58 localhost md: linear personality registered for level -1
Feb  4 10:46:58 localhost md: raid0 personality registered for level 0
Feb  4 10:46:58 localhost md: raid1 personality registered for level 1
Feb  4 10:46:58 localhost md: raid5 personality registered for level 5
Feb  4 10:46:58 localhost md: raid4 personality registered for level 4
Feb  4 10:46:58 localhost raid5: automatically using best checksumming function:
generic_sse
Feb  4 10:46:58 localhost generic_sse:  5463.000 MB/sec
Feb  4 10:46:58 localhost raid5: using function: generic_sse (5463.000 MB/sec)
Feb  4 10:46:58 localhost raid6: int64x1    832 MB/s
Feb  4 10:46:58 localhost raid6: int64x2   1190 MB/s
Feb  4 10:46:58 localhost raid6: int64x4   1158 MB/s
Feb  4 10:46:58 localhost raid6: int64x8    792 MB/s
Feb  4 10:46:58 localhost raid6: sse2x1     487 MB/s
Feb  4 10:46:58 localhost raid6: sse2x2     832 MB/s
Feb  4 10:46:58 localhost raid6: sse2x4    1035 MB/s
Feb  4 10:46:58 localhost raid6: using algorithm sse2x4 (1035 MB/s)
Feb  4 10:46:58 localhost md: raid6 personality registered for level 6
Feb  4 10:46:58 localhost md: multipath personality registered for level -4
Feb  4 10:46:58 localhost md: md driver 0.90.3 MAX_MD_DEVS=256, MD_SB_DISKS=27
Feb  4 10:46:58 localhost md: bitmap version 4.39
Feb  4 10:46:58 localhost device-mapper: 4.5.0-ioctl (2005-10-04) initialised:
dm-devel@redhat.com
Feb  4 10:46:58 localhost MC: drivers/edac/edac_mc.c version edac_mc  Ver: 2.0.0
Feb  4 2006
Feb  4 10:46:58 localhost NET: Registered protocol family 2
Feb  4 10:46:58 localhost IP route cache hash table entries: 32768 (order: 6,
262144 bytes)
Feb  4 10:46:58 localhost TCP established hash table entries: 131072 (order: 8,
1048576 bytes)
Feb  4 10:46:58 localhost TCP bind hash table entries: 65536 (order: 7, 524288
bytes)
Feb  4 10:46:58 localhost TCP: Hash tables configured (established 131072 bind
65536)
Feb  4 10:46:58 localhost TCP reno registered
Feb  4 10:46:58 localhost TCP bic registered
Feb  4 10:46:58 localhost NET: Registered protocol family 1
Feb  4 10:46:58 localhost NET: Registered protocol family 10
Feb  4 10:46:58 localhost lo: Disabled Privacy Extensions
Feb  4 10:46:58 localhost IPv6 over IPv4 tunneling driver
Feb  4 10:46:58 localhost NET: Registered protocol family 17
Feb  4 10:46:58 localhost NET: Registered protocol family 15
Feb  4 10:46:58 localhost powernow-k8: Found 1 AMD Athlon 64 / Opteron
processors (version 1.60.0)
Feb  4 10:46:58 localhost powernow-k8:    0 : fid 0xa (1800 MHz), vid 0x6 (1400 mV)
Feb  4 10:46:58 localhost powernow-k8:    1 : fid 0x2 (1000 MHz), vid 0x12 (1100 mV)
Feb  4 10:46:58 localhost cpu_init done, current fid 0xa, vid 0x6
Feb  4 10:46:58 localhost ACPI wakeup devices: 
Feb  4 10:46:58 localhost PCI0 USB0 USB1 USB2 AUDO  P2P  MAC 
Feb  4 10:46:58 localhost ACPI: (supports S0 S1 S3 S5)
Feb  4 10:46:58 localhost BIOS EDD facility v0.16 2004-Jun-25, 1 devices found
Feb  4 10:46:58 localhost Freeing unused kernel memory: 208k freed
Feb  4 10:46:58 localhost GSI 16 sharing vector 0xB1 and IRQ 16
Feb  4 10:46:58 localhost ACPI: PCI Interrupt 0000:00:13.2[A] -> GSI 19 (level,
low) -> IRQ 16
Feb  4 10:46:58 localhost ehci_hcd 0000:00:13.2: EHCI Host Controller
Feb  4 10:46:58 localhost ehci_hcd 0000:00:13.2: new USB bus registered,
assigned bus number 1
Feb  4 10:46:58 localhost ehci_hcd 0000:00:13.2: irq 16, io mem 0xfe02b000
Feb  4 10:46:58 localhost ehci_hcd 0000:00:13.2: USB 2.0 started, EHCI 1.00,
driver 10 Dec 2004
Feb  4 10:46:58 localhost usb usb1: configuration #1 chosen from 1 choice
Feb  4 10:46:58 localhost hub 1-0:1.0: USB hub found
Feb  4 10:46:58 localhost hub 1-0:1.0: 8 ports detected
Feb  4 10:46:58 localhost input: AT Translated Set 2 keyboard as /class/input/input0
Feb  4 10:46:58 localhost usb 1-7: new high speed USB device using ehci_hcd and
address 3
Feb  4 10:46:58 localhost usb 1-7: configuration #1 chosen from 1 choice
Feb  4 10:46:58 localhost usbcore: registered new driver hiddev
Feb  4 10:46:58 localhost usbcore: registered new driver usbhid
Feb  4 10:46:58 localhost drivers/usb/input/hid-core.c: v2.6:USB HID core driver
Feb  4 10:46:58 localhost Initializing USB Mass Storage driver...
Feb  4 10:46:58 localhost scsi0 : SCSI emulation for USB Mass Storage devices
Feb  4 10:46:58 localhost usbcore: registered new driver usb-storage
Feb  4 10:46:58 localhost USB Mass Storage support registered.
Feb  4 10:46:58 localhost usb-storage: device found at 3
Feb  4 10:46:58 localhost usb-storage: waiting for device to settle before scanning
Feb  4 10:46:58 localhost USB Universal Host Controller Interface driver v2.3
Feb  4 10:46:58 localhost ohci_hcd: 2005 April 22 USB 1.1 'Open' Host Controller
(OHCI) Driver (PCI)
Feb  4 10:46:58 localhost ACPI: PCI Interrupt 0000:00:13.0[A] -> GSI 19 (level,
low) -> IRQ 16
Feb  4 10:46:58 localhost ohci_hcd 0000:00:13.0: OHCI Host Controller
Feb  4 10:46:58 localhost ohci_hcd 0000:00:13.0: new USB bus registered,
assigned bus number 2
Feb  4 10:46:58 localhost ohci_hcd 0000:00:13.0: irq 16, io mem 0xfe02d000
Feb  4 10:46:58 localhost usb usb2: configuration #1 chosen from 1 choice
Feb  4 10:46:58 localhost hub 2-0:1.0: USB hub found
Feb  4 10:46:58 localhost hub 2-0:1.0: 4 ports detected
Feb  4 10:46:58 localhost ACPI: PCI Interrupt 0000:00:13.1[A] -> GSI 19 (level,
low) -> IRQ 16
Feb  4 10:46:58 localhost ohci_hcd 0000:00:13.1: OHCI Host Controller
Feb  4 10:46:58 localhost ohci_hcd 0000:00:13.1: new USB bus registered,
assigned bus number 3
Feb  4 10:46:58 localhost ohci_hcd 0000:00:13.1: irq 16, io mem 0xfe02c000
Feb  4 10:46:58 localhost usb usb3: configuration #1 chosen from 1 choice
Feb  4 10:46:58 localhost hub 3-0:1.0: USB hub found
Feb  4 10:46:58 localhost hub 3-0:1.0: 4 ports detected
Feb  4 10:46:58 localhost libata version 1.20 loaded.
Feb  4 10:46:58 localhost sata_sil 0000:00:11.0: version 0.9
Feb  4 10:46:58 localhost GSI 17 sharing vector 0xB9 and IRQ 17
Feb  4 10:46:58 localhost ACPI: PCI Interrupt 0000:00:11.0[A] -> GSI 23 (level,
low) -> IRQ 17
Feb  4 10:46:58 localhost ata1: SATA max UDMA/100 cmd 0xFFFFC2000002E080 ctl
0xFFFFC2000002E08A bmdma 0xFFFFC2000002E000 irq 17
Feb  4 10:46:58 localhost ata2: SATA max UDMA/100 cmd 0xFFFFC2000002E0C0 ctl
0xFFFFC2000002E0CA bmdma 0xFFFFC2000002E008 irq 17
Feb  4 10:46:58 localhost ata1: SATA link down (SStatus 0)
Feb  4 10:46:58 localhost scsi1 : sata_sil
Feb  4 10:46:58 localhost usb 3-1: new low speed USB device using ohci_hcd and
address 2
Feb  4 10:46:58 localhost ata2: SATA link down (SStatus 0)
Feb  4 10:46:58 localhost scsi2 : sata_sil
Feb  4 10:46:58 localhost GSI 18 sharing vector 0xC1 and IRQ 18
Feb  4 10:46:58 localhost ACPI: PCI Interrupt 0000:00:12.0[A] -> GSI 22 (level,
low) -> IRQ 18
Feb  4 10:46:58 localhost ata3: SATA max UDMA/100 cmd 0xFFFFC20000030080 ctl
0xFFFFC2000003008A bmdma 0xFFFFC20000030000 irq 18
Feb  4 10:46:58 localhost ata4: SATA max UDMA/100 cmd 0xFFFFC200000300C0 ctl
0xFFFFC200000300CA bmdma 0xFFFFC20000030008 irq 18
Feb  4 10:46:58 localhost usb 3-1: configuration #1 chosen from 1 choice
Feb  4 10:46:58 localhost input: Microsoft Microsoft 3-Button Mouse with
IntelliEye(TM) as /class/input/input1
Feb  4 10:46:58 localhost input: USB HID v1.10 Mouse [Microsoft Microsoft
3-Button Mouse with IntelliEye(TM)] on usb-0000:00:13.1-1
Feb  4 10:46:58 localhost ata3: SATA link up 1.5 Gbps (SStatus 113)
Feb  4 10:46:58 localhost ata3: dev 0 cfg 49:2f00 82:746b 83:7f01 84:4023
85:7468 86:3c01 87:4023 88:40ff
Feb  4 10:46:58 localhost ata3: dev 0 ATA-7, max UDMA7, 390721968 sectors: LBA48
Feb  4 10:46:58 localhost ata3: dev 0 configured for UDMA/100
Feb  4 10:46:58 localhost scsi3 : sata_sil
Feb  4 10:46:58 localhost ata4: SATA link down (SStatus 0)
Feb  4 10:46:58 localhost scsi4 : sata_sil
Feb  4 10:46:58 localhost Vendor: ATA       Model: SAMSUNG SP2004C   Rev: VM10
Feb  4 10:46:58 localhost Type:   Direct-Access                      ANSI SCSI
revision: 05
Feb  4 10:46:58 localhost SCSI device sda: 390721968 512-byte hdwr sectors
(200050 MB)
Feb  4 10:46:58 localhost sda: Write Protect is off
Feb  4 10:46:58 localhost sda: Mode Sense: 00 3a 00 00
Feb  4 10:46:58 localhost SCSI device sda: drive cache: write back
Feb  4 10:46:58 localhost SCSI device sda: 390721968 512-byte hdwr sectors
(200050 MB)
Feb  4 10:46:58 localhost sda: Write Protect is off
Feb  4 10:46:58 localhost sda: Mode Sense: 00 3a 00 00
Feb  4 10:46:58 localhost SCSI device sda: drive cache: write back
Feb  4 10:46:58 localhost sda: sda1 sda2 sda3 < sda5 sda6 > sda4
Feb  4 10:46:58 localhost sd 3:0:0:0: Attached scsi disk sda
Feb  4 10:46:58 localhost sd 3:0:0:0: Attached scsi generic sg0 type 0
Feb  4 10:46:58 localhost ReiserFS: sda5: warning: sh-2021: reiserfs_fill_super:
can not find reiserfs on sda5
Feb  4 10:46:58 localhost kjournald starting.  Commit interval 5 seconds
Feb  4 10:46:58 localhost EXT3-fs warning: maximal mount count reached, running
e2fsck is recommended
Feb  4 10:46:58 localhost EXT3 FS on sda5, internal journal
Feb  4 10:46:58 localhost EXT3-fs: mounted filesystem with ordered data mode.
Feb  4 10:46:58 localhost Vendor: USB2.0    Model: CF  CardReader    Rev:     
Feb  4 10:46:58 localhost Type:   Direct-Access                      ANSI SCSI
revision: 00
Feb  4 10:46:58 localhost sd 0:0:0:0: Attached scsi removable disk sdb
Feb  4 10:46:58 localhost sd 0:0:0:0: Attached scsi generic sg1 type 0
Feb  4 10:46:58 localhost Vendor: USB2.0    Model: CBO CardReader    Rev:     
Feb  4 10:46:58 localhost Type:   Direct-Access                      ANSI SCSI
revision: 00
Feb  4 10:46:58 localhost sd 0:0:0:1: Attached scsi removable disk sdc
Feb  4 10:46:58 localhost sd 0:0:0:1: Attached scsi generic sg2 type 0
Feb  4 10:46:58 localhost usb-storage: device scan complete
Feb  4 10:46:58 localhost Adding 2811332k swap on /dev/sda6.  Priority:-1
extents:1 across:2811332k
Feb  4 10:46:58 localhost EXT3-fs warning: maximal mount count reached, running
e2fsck is recommended
Feb  4 10:46:58 localhost EXT3 FS on sda5, internal journal
Feb  4 10:46:58 localhost kjournald starting.  Commit interval 5 seconds
Feb  4 10:46:58 localhost EXT3-fs warning: maximal mount count reached, running
e2fsck is recommended
Feb  4 10:46:58 localhost EXT3 FS on sda4, internal journal
Feb  4 10:46:58 localhost EXT3-fs: mounted filesystem with ordered data mode.
Feb  4 10:46:58 localhost kjournald starting.  Commit interval 5 seconds
Feb  4 10:46:58 localhost EXT3-fs warning: mounting unchecked fs, running e2fsck
is recommended
Feb  4 10:46:58 localhost EXT3 FS on sda2, internal journal
Feb  4 10:46:58 localhost EXT3-fs: mounted filesystem with ordered data mode.
Feb  4 10:46:58 localhost NTFS driver 2.1.25 [Flags: R/O MODULE].
Feb  4 10:46:58 localhost NTFS volume version 3.1.
Feb  4 10:46:58 localhost GSI 19 sharing vector 0xC9 and IRQ 19
Feb  4 10:46:58 localhost ACPI: PCI Interrupt 0000:00:14.5[B] -> GSI 17 (level,
low) -> IRQ 19
Feb  4 10:46:58 localhost time.c: Lost 13 timer tick(s)! rip 0x2b5674919d9f)
Feb  4 10:46:58 localhost 8139too Fast Ethernet driver 0.9.27
Feb  4 10:46:58 localhost GSI 20 sharing vector 0xD1 and IRQ 20
Feb  4 10:46:58 localhost ACPI: PCI Interrupt 0000:02:03.0[A] -> GSI 20 (level,
low) -> IRQ 20
Feb  4 10:46:58 localhost eth0: RealTek RTL8139 at 0xffffc20000066000,
00:13:d3:2e:29:c6, IRQ 20
Feb  4 10:46:58 localhost eth0:  Identified 8139 chip type 'RTL-8100B/8139D'
Feb  4 10:46:58 localhost eth0: link up, 100Mbps, full-duplex, lpa 0x41E1
Feb  4 10:47:02 localhost time.c: Lost 15 timer tick(s)! rip default_idle+0x2a/0x60)
Feb  4 10:47:03 localhost eth0: no IPv6 routers present
Feb  4 10:44:44 localhost sshd[8136]: Server listening on :: port 22.
Feb  4 10:44:44 localhost sshd[8136]: error: Bind to port 22 on 0.0.0.0 failed:
Address already in use.
Feb  4 10:44:45 localhost cron[8205]: (CRON) STARTUP (V5.0)
Feb  4 10:44:47 localhost xfs: CONFIG: unknown parameter "cache-hi-mark"
Feb  4 10:44:47 localhost xfs: CONFIG: unknown parameter "cache-low-mark"
Feb  4 10:44:47 localhost xfs: CONFIG: unknown parameter "cache-balance"
Feb  4 10:44:47 localhost xfs[8368]: ignoring font path element
/usr/share/fonts/freefont (unreadable)
Feb  4 10:44:47 localhost init: Activating demand-procedures for 'A'
Feb  4 10:45:09 localhost gdm(pam_unix)[8607]: session opened for user raph by
(uid=0)
Feb  4 10:47:19 localhost su[8698]: + pts/0 raph:root
Feb  4 10:47:19 localhost su(pam_unix)[8698]: session opened for user root by
(uid=1000)


now the mplayer command is run

Feb  4 10:47:58 localhost time.c: Lost 6 timer tick(s)! rip default_idle+0x2a/0x60)
Feb  4 10:47:59 localhost time.c: Lost 6 timer tick(s)! rip default_idle+0x2a/0x60)
Feb  4 10:47:59 localhost time.c: Lost 6 timer tick(s)! rip default_idle+0x2a/0x60)
Feb  4 10:47:59 localhost time.c: Lost 6 timer tick(s)! rip default_idle+0x2a/0x60)
Feb  4 10:47:59 localhost time.c: Lost 5 timer tick(s)! rip __do_softirq+0x39/0xb0)
Feb  4 10:47:59 localhost time.c: Lost 2 timer tick(s)! rip default_idle+0x2a/0x60)
Feb  4 10:48:04 localhost time.c: Lost 6 timer tick(s)! rip default_idle+0x2a/0x60)
Feb  4 10:48:04 localhost time.c: Lost 5 timer tick(s)! rip __do_softirq+0x39/0xb0)
Feb  4 10:48:04 localhost time.c: Lost 5 timer tick(s)! rip default_idle+0x2a/0x60)
Feb  4 10:48:04 localhost time.c: Lost 6 timer tick(s)! rip default_idle+0x2a/0x60)
Feb  4 10:48:04 localhost time.c: Lost 5 timer tick(s)! rip __do_softirq+0x39/0xb0)
Feb  4 10:48:04 localhost time.c: Lost 6 timer tick(s)! rip __do_softirq+0x39/0xb0)
Feb  4 10:48:04 localhost time.c: Lost 5 timer tick(s)! rip __do_softirq+0x39/0xb0)
Feb  4 10:48:04 localhost time.c: Lost 6 timer tick(s)! rip 0x2b6578a18b46)
Feb  4 10:48:04 localhost time.c: Lost 6 timer tick(s)! rip __do_softirq+0x39/0xb0)
Feb  4 10:48:04 localhost time.c: Lost 6 timer tick(s)! rip default_idle+0x2a/0x60)
Feb  4 10:48:04 localhost time.c: Lost 6 timer tick(s)! rip default_idle+0x2a/0x60)
Feb  4 10:48:04 localhost time.c: Lost 6 timer tick(s)! rip __do_softirq+0x39/0xb0)
Feb  4 10:48:04 localhost Losing some ticks... checking if CPU frequency changed.
Feb  4 10:48:04 localhost time.c: Lost 4 timer tick(s)! rip __do_softirq+0x39/0xb0)
Feb  4 10:48:04 localhost time.c: Lost 6 timer tick(s)! rip 0x4f2536)
Feb  4 10:48:04 localhost time.c: Lost 6 timer tick(s)! rip 0x5067de)

[...etc...]


Raphael
Comment 14 Thomas Antony 2006-02-04 12:32:52 EST
Hi.
I had to send my graphic card to the manufacturer, so i can't test the new
kernel for a few weeks :-(
Comment 15 Thomas Antony 2006-03-13 09:05:03 EST
Still not fixed in 2.6.15-1.1833_FC4
Comment 16 Raphael Clifford 2006-03-13 09:16:14 EST
As I mentioned before it seems there are in fact two separate problems at least
with my msi rs480m2-il motherboard. The first is the clock running too fast.
This is fixed in 2.6.16-rc5 with a patch specifically for this purpose. The
second is the timer and APIC errors. This is not fixed up to 2.6.16-rc5 and is
also recently reported at 

http://lkml.org/lkml/2006/3/9/117 which points to
http://bugme.osdl.org/show_bug.cgi?id=6198

Raphael
Comment 17 Dave Jones 2006-09-16 22:57:16 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 18 Dave Jones 2006-10-16 15:11:42 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 19 Thomas Antony 2006-10-18 05:40:51 EDT
The time is still running to fast with the latest 2.6.18 kernel!
Comment 20 petrosyan 2008-03-10 11:49:19 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 21 Raphael Clifford 2008-03-10 16:05:03 EDT
I hate to say it but I have since moved to ubuntu. I can tell you that on the
latest ubuntu kernel 2.6.22-14-generic (on the same machine as before) I get 
the following errors in dmesg when booting with the following grub/menu.lst

title           Ubuntu 7.10, kernel 2.6.22-14-generic
root            (hd0,4)
kernel          /boot/vmlinuz-2.6.22-14-generic
root=UUID=38c68c0d-ca03-412e-9a02-1f06784be22d ro quiet splash
initrd          /boot/initrd.img-2.6.22-14-generic
quiet


  17.617885] ACPI: Looking for DSDT in initramfs... error, file /DSDT.aml not found.
[...]
  17.665878] ..MP-BIOS bug: 8254 timer not connected to IO-APIC
[   17.665918] ...trying to set up timer (IRQ0) through the 8259A ...  failed.
[   17.665921] ...trying to set up timer as Virtual Wire IRQ... works.
[...]
   20.740000] Marking TSC unstable due to: cpufreq changes.
[   20.744000] Time: acpi_pm clocksource has been installed.
[   21.096000] Clocksource tsc unstable (delta = -159643597 ns)

However I get no timer tick errors any more.

But I am sure you don't care :)

Best wishes,
Raphael

Note You need to log in before you can comment on or make changes to this bug.